Problème à l'installation

Tout ce qui concerne l'utilisation ou l'installation d'Asymptote.

Modérateur: gdm_asy

Règles du forum
Merci d'éviter le style SMS dans vos messages et de penser à utiliser la fonction Recherche avant de poster un message. Pour joindre des fichiers à vos messages, consulter ce sujet.
> Penser à utiliser les balises Code pour poster du code.

Re: Problème à l'installation

Messagepar chellier » Mardi 28 Décembre 2010, 12:24

Francky a écrit:Comment installer latexmk, sans installer texlive 2009 des dépôts ?

http://www.ctan.org/tex-archive/support/latexmk/
La méthode d'installation y est décrite.

Christophe
chellier
Modérateur
 
Messages: 355
Inscription: Samedi 25 Juillet 2009, 11:25
Localisation: Le Creusot
Statut actuel: Actif et salarié | Enseignant

Publicité

Re: Problème à l'installation

Messagepar MB » Mardi 28 Décembre 2010, 12:44

Francky a écrit:Comment dégommer ce qui est en trop ?


Code: Tout sélectionner
sudo tlmgr remove nom_du_paquet


Voir ici pour plus de détails sur tlmgr.
MB (Pas d'aide en Message Privé)
Merci d'utiliser $\LaTeX$ (voir ici) et d'éviter le style SMS pour la lisibilité des messages.
MB
Administrateur
 
Messages: 6890
Inscription: Samedi 28 Mai 2005, 13:23
Localisation: Créteil
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 13:29

En fait, j'ai déjà latexmk (inclus dans dans TL2010) donc je garde.

------

j'ai fait un tlmgr --force remove asymptote, pour virer la 2.02

En faisant le make install pour la svn, j'ai ça à la fin
Code: Tout sélectionner
mf-local/tex/context/third/asymptote
if test -z ""; then \
     texhash; \
   fi
/bin/sh: texhash: not found
make: [install-texhash] Erreur 127 (ignorée)
/usr/bin/install -c -p -m 644 asy-keywords.el /usr/local/share/asymptote

et c'est quoi texhash ?
Merci
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 14:07

MB a écrit:Je déconseille d'installer une version complète de texlive car une version d'asymptote sera installée (de même que texworks).

Quel est le schéma (liste des «collections») que tu recommandes ?
(pour asymptote_svn en solution graphique, aidé de tikz pour la déco)

EDIT : je viens de tenter une nouvelle install de TL2010 plus minimaliste,
mais asymptote 2.02 était encore là !

---

Toujours pas résolu : asy_svn, problème texhash cité plus haut.

Merci
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar MB » Mardi 28 Décembre 2010, 15:38

Francky a écrit:Quel est le schéma (liste des «collections») que tu recommandes ?


En général je pars du basic et j'ajoute ensuite des choses via tlmgr.

Code: Tout sélectionner
$ tlmgr list schemes
tlmgr: package repository http://mirrors.ircam.fr/pub/CTAN/systems/texlive/tlnet
i scheme-basic: basic scheme (plain and LaTeX)
  scheme-context: ConTeXt scheme
  scheme-full: full scheme (everything)
  scheme-gust: GUST TeX Live scheme
  scheme-medium: medium scheme (plain, latex, recommended packages, some languages)
i scheme-minimal: minimal scheme (plain only)
  scheme-tetex: teTeX scheme (more than medium, but nowhere near full)
  scheme-xml: XML scheme


Francky a écrit:Toujours pas résolu : asy_svn, problème texhash cité plus haut.


texhash (ou mktexlsr) est un utilitaire texlive qui permet de mettre à jour la base des paquets installés : il devrait être présent si ta distribution texlive est correctement installée. Que donne un which texhash ?
MB (Pas d'aide en Message Privé)
Merci d'utiliser $\LaTeX$ (voir ici) et d'éviter le style SMS pour la lisibilité des messages.
MB
Administrateur
 
Messages: 6890
Inscription: Samedi 28 Mai 2005, 13:23
Localisation: Créteil
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 16:14

OK, j'ai pu avoir asy_svn,
mais j'ai une texlive trop minimaliste,

comment faire pour installer mathrsfs par exemple ?
(j'ai pris le premier truc demandé pour un de mes fichiers)
Code: Tout sélectionner
/usr/local/share/asymptote/graph.asy: 1600.5: runtime:
! LaTeX Error: File `mathrsfs.sty' not found.



tlmgr install mathrsfs me répond
Code: Tout sélectionner
tlmgr: package repository http://mirror.ibcp.fr/pub/CTAN/systems/texlive/tlnet
package mathrsfs not present in package repository.

idem avec mathrsfs.sty

Quai-je oublié ?

EDIT : il a accepté de m'installer microtype, mais pas lmodern !!!!

Merci
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar MB » Mardi 28 Décembre 2010, 16:42

Francky a écrit:comment faire pour installer mathrsfs par exemple ?


Tu peux commencer par chercher le nom du paquet qui contient ton fichier :

Code: Tout sélectionner
$ tlmgr search --global --file mathrsfs.sty
tlmgr: package repository http://mirrors.ircam.fr/pub/CTAN/systems/texlive/tlnet
jknapltx:
   texmf-dist/tex/latex/jknapltx/mathrsfs.sty


Et ensuite tu installes le paquet indiqué :

Code: Tout sélectionner
sudo tlmgr install jknapltx
MB (Pas d'aide en Message Privé)
Merci d'utiliser $\LaTeX$ (voir ici) et d'éviter le style SMS pour la lisibilité des messages.
MB
Administrateur
 
Messages: 6890
Inscription: Samedi 28 Mai 2005, 13:23
Localisation: Créteil
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 16:50

Merci, ça marche :
je viens d'installer lmodern via lm, et mathrsfs comme tu as dit.

---
Je vais continuer ainsi.

Prends-tu des précautions pour éviter d'installer des dépendances, genre avec :
--no-depends-at-all

(l'objectif étant qu'il ne remette pas asymptote 2.02 !)
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar MB » Mardi 28 Décembre 2010, 16:53

Francky a écrit:Prends-tu des précautions pour éviter d'installer des dépendances, genre avec :
--no-depends-at-all

(l'objectif étant qu'il ne remette pas asymptote 2.02 !)


Non, je n'ai jamais utilisé ça, mais je ne pense pas qu'un paquet latex puisse dépendre d'asymptote.
MB (Pas d'aide en Message Privé)
Merci d'utiliser $\LaTeX$ (voir ici) et d'éviter le style SMS pour la lisibilité des messages.
MB
Administrateur
 
Messages: 6890
Inscription: Samedi 28 Mai 2005, 13:23
Localisation: Créteil
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 17:35

Bon, j'avance, mais il y en a des pour des plombes, mes fichiers log sont horribles, j'en vois pas la fin.
je mets un paquet à la fois ... des trucs que je comprends pas, c'est pas cool. :tears:

à suivre

--------------------------------------
EDIT: Réussi ! Je me retrouve en terrain connu. Merci.

Dernière question (qui reste dans le thème du fil) :
comment installer texmaker ou texmakerx sans utiliser les paquets, sinon, ils vont, par dépendance, installer asymptote 2.02.
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar MB » Mardi 28 Décembre 2010, 18:36

Francky a écrit:Bon, j'avance, mais il y en a des pour des plombes, mes fichiers log sont horribles, j'en vois pas la fin.
je mets un paquet à la fois ... des trucs que je comprends pas, c'est pas cool. :tears:


Si tu veux gagner du temps (mais ça va certainement te faire installer des paquets qui ne te serviront pas) tu peux installer à coup de collections. La commande suivante permet d'avoir la liste est collections (celles qui sont installées sont précédées d'un i et je suis étonné de voir certaines collections que je ne pensais pas avoir installées) :

Code: Tout sélectionner
$ tlmgr list collections
tlmgr: package repository http://mirrors.ircam.fr/pub/CTAN/systems/texlive/tlnet
i collection-basic: Essential programs and files
  collection-bibtexextra: Extra BibTeX styles
i collection-binextra: TeX auxiliary programs
i collection-context: ConTeXt format
  collection-documentation-arabic: Arabic documentation
i collection-documentation-base: TeX Live documentation
  collection-documentation-bulgarian: Bulgarian documentation
  collection-documentation-chinese: Chinese documentation
  collection-documentation-czechslovak: Czech/Slovak documentation
  collection-documentation-dutch: Dutch documentation
i collection-documentation-english: English documentation
  collection-documentation-finnish: Finnish documentation
i collection-documentation-french: French documentation
  collection-documentation-german: German documentation
  collection-documentation-italian: Italian documentation
  collection-documentation-japanese: Japanese documentation
  collection-documentation-korean: Korean documentation
  collection-documentation-mongolian: Mongolian documentation
  collection-documentation-polish: Polish documentation
  collection-documentation-portuguese: Portuguese documentation
  collection-documentation-russian: Russian documentation
  collection-documentation-serbian: Serbian documentation
  collection-documentation-slovenian: Slovenian documentation
  collection-documentation-spanish: Spanish documentation
  collection-documentation-thai: Thai documentation
  collection-documentation-turkish: Turkish documentation
  collection-documentation-ukrainian: Ukrainian documentation
  collection-documentation-vietnamese: Vietnamese documentation
  collection-fontsextra: Extra fonts
i collection-fontsrecommended: Recommended fonts
i collection-fontutils: TeX and Outline font utilities
  collection-formatsextra: Extra formats
  collection-games: Games typesetting
  collection-genericextra: Extra generic packages
i collection-genericrecommended: Recommended generic packages
  collection-htmlxml: HTML/SGML/XML support
  collection-humanities: Humanities packages
  collection-langafrican: African scripts
  collection-langarabic: Arabic
  collection-langarmenian: Armenian
  collection-langcjk: Chinese, Japanese, Korean
  collection-langcroatian: Croatian
  collection-langcyrillic: Cyrillic
  collection-langczechslovak: Czech/Slovak
  collection-langdanish: Danish
  collection-langdutch: Dutch
i collection-langenglish: US and UK English
  collection-langfinnish: Finnish
i collection-langfrench: French
  collection-langgerman: German
  collection-langgreek: Greek
  collection-langhebrew: Hebrew
  collection-langhungarian: Hungarian
  collection-langindic: Indic scripts
i collection-langitalian: Italian
  collection-langlatin: Latin
  collection-langlatvian: Latvian
  collection-langlithuanian: Lithuanian
  collection-langmongolian: Mongolian
  collection-langnorwegian: Norwegian
  collection-langother: Other hyphenation files
i collection-langpolish: Polish
i collection-langportuguese: Portuguese
i collection-langspanish: Spanish
  collection-langswedish: Swedish
  collection-langtibetan: Tibetan
  collection-langturkmen: Turkmen
  collection-langvietnamese: Vietnamese
i collection-latex: Basic LaTeX packages
  collection-latex3: LaTeX3 packages
  collection-latexextra: LaTeX supplementary packages
i collection-latexrecommended: LaTeX recommended packages
i collection-luatex: LuaTeX packages
i collection-mathextra: Advanced math typesetting
i collection-metapost: MetaPost (and Metafont) drawing packages
  collection-music: Music typesetting
  collection-omega: Omega
  collection-pictures: Graphics packages and programs
  collection-plainextra: Plain TeX supplementary packages
  collection-pstricks: PSTricks packages
  collection-publishers: Support for publishers, theses, standards, conferences, etc.
  collection-science: Typesetting for natural and computer sciences
i collection-texinfo: GNU Texinfo
  collection-texworks: The TeXworks Editor
  collection-wintools: Windows support programs
i collection-xetex: XeTeX packages


Par exemple, si tu veux connaitre la collection dans laquelle se trouve le paquet asymptote :

Code: Tout sélectionner
$ tlmgr show asymptote
package:     asymptote
category:    TLCore
shortdesc:   2D and 3D TeX-Aware Vector Graphics Language.
longdesc:    Asymptote is a powerful descriptive vector graphics language for technical drawing, inspired by MetaPost but with an improved C++-like syntax. Asymptote provides for figures the same high-quality level of typesetting that LaTeX does for scientific text.
installed:   Yes
revision:    19472
cat-version: 2.02
cat-date:    2010-07-11 22:28:14 +0200
cat-license: lgpl
collection:  collection-binextra


Tu constates donc que c'est dans collection-binextra et que c'est bien la version 2.02 qui est installée.

Francky a écrit:comment installer texmaker ou texmakerx sans utiliser les paquets, sinon, ils vont, par dépendance, installer asymptote 2.02.


Pour texmaker, je ne peux pas te répondre comme ça car je n'ai jamais utilisé.
Cependant, je peux te conseiller texworks qui est quand même en train de devenir la référence en termes d'éditeurs latex. Sous ubuntu, j'utilise un dépôt ppa qui permet d'avoir les toutes dernières versions :

Code: Tout sélectionner
sudo add-apt-repository ppa:texworks/ppa
sudo aptitude update && sudo aptitude install texworks


Pas de dépendance avec les paquets asymptote.
MB (Pas d'aide en Message Privé)
Merci d'utiliser $\LaTeX$ (voir ici) et d'éviter le style SMS pour la lisibilité des messages.
MB
Administrateur
 
Messages: 6890
Inscription: Samedi 28 Mai 2005, 13:23
Localisation: Créteil
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 20:01

Merci, je suis avec TL2010 opérationnelle, asymptote svn.

Pour l'éditeur, je sais pas encore lequel choisir.
Peut-être GEdit, avec la coloration syntaxique de LaTeX et asymptote distincte.

Merci encore.
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar kojak » Mardi 28 Décembre 2010, 20:04

Bonjour,

Une question naïve : est il réellement besoin d'avoir la toute derniere version de Texlive pour travailler ? car quand je vois le bazar qu'a Francky pour installer cette version, Je trouve que c'est dommage d'avoir un linux, et ne pas utiliser ce qu'il y a dans les dépots...
pas d'aide par MP
kojak
Modérateur
 
Messages: 10398
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar chellier » Mardi 28 Décembre 2010, 20:33

kojak a écrit:Bonjour,

Une question naïve : est il réellement besoin d'avoir la toute derniere version de Texlive pour travailler ? car quand je vois le bazar qu'a Francky pour installer cette version, Je trouve que c'est dommage d'avoir un linux, et ne pas utiliser ce qu'il y a dans les dépots...

+1

Christophe
chellier
Modérateur
 
Messages: 355
Inscription: Samedi 25 Juillet 2009, 11:25
Localisation: Le Creusot
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar chellier » Mardi 28 Décembre 2010, 20:41

Francky a écrit:Pour l'éditeur, je sais pas encore lequel choisir.
Peut-être GEdit, avec la coloration syntaxique de LaTeX et asymptote distincte.

Très bon choix :wink: Surtout qu'il y a de fortes chances qu'on ait le support de SyncTeX avec evince dans la prochaine version d'ubuntu...

Christophe
chellier
Modérateur
 
Messages: 355
Inscription: Samedi 25 Juillet 2009, 11:25
Localisation: Le Creusot
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar Francky » Mardi 28 Décembre 2010, 21:36

Pourquoi je me suis battu ?

Uniquement pour siunitx ! C'est fou non ?!?
(le passage à la version 2 est réputé requérir TL2010 (hoaks?))

Au niveau qui est le mien, débutant débrouillé, je ne vois pas sinon de différence entre TL2009 et 2010,
mais il doit y en avoir d'autres.

Sinon, c'est aussi pour le fun. « No Fear, No Fun »
J'ai aussi découvert tlmgr et texmf.

Je confirme que le plus simple pour l'instant est :
OS : Mint 10 (version standard gnome) ~ 20min d'install
et puis installer le paquet : texmaker ~ 5min
lancer le script de de coloration pour GEdit ~ 1min
fini !
Linux Mint | TeXLive - TexMaker - asymptote | Python3 & C - Geany - Project Euler - SPOJ
Entia non sunt multiplicanda praeter necessitatem
Francky
Giga-utilisateur
 
Messages: 683
Inscription: Dimanche 11 Avril 2010, 13:01
Statut actuel: Actif et salarié | Enseignant

Re: Problème à l'installation

Messagepar MB » Mardi 28 Décembre 2010, 21:46

Francky a écrit:Pour l'éditeur, je sais pas encore lequel choisir.
Peut-être GEdit, avec la coloration syntaxique de LaTeX et asymptote distincte.


Oui, j'utilise GEdit avec les outils pour asymptote : c'est parfait.

En ce qui concerne l'installation d'une texlive vanilla, c'est quand même pas si compliqué que ça si on s'y prend bien et c'est quand même beaucoup plus souple. Je trouve que l'utilitaire tlmgr est vraiment pratique alors que le système des paquets debian ne l'est pas du tout.
MB (Pas d'aide en Message Privé)
Merci d'utiliser $\LaTeX$ (voir ici) et d'éviter le style SMS pour la lisibilité des messages.
MB
Administrateur
 
Messages: 6890
Inscription: Samedi 28 Mai 2005, 13:23
Localisation: Créteil
Statut actuel: Actif et salarié | Enseignant

Précédente

Retourner vers Asymptote

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité